#!/bin/bash

KRCFG="$(which kreadconfig)"

if [ ! -z "$KRCFG" ]; then # Check if kde is installed, otherwise do nothing

    # Powersave applet

    CFGFILE="/etc/sysconfig/harddrake2/kernel"
    PSAVE=$(kreadconfig --group "Mandriva" --key "PowersaveApplet" --default "false")
    LAP=$(kreadconfig --file "/etc/sysconfig/harddrake2/kernel" --key IS_LAPTOP --default "false")

    if [ "$LAP" = "true" ]; then
    	if [ ! "$PSAVE" = "true" ]; then
    		if [ ! -f "$HOME/.kde4/share/config/plasma-appletsrc" ]; then
    			mkdir -p $HOME/.kde4/share/config
    			cat >> $HOME/.kde4/share/config/plasma-appletsrc << EOF

[Containments][2][Applets][10]
geometry=890,2,48,26
immutability=1
plugin=battery
zvalue=0
EOF
    			kwriteconfig --group "Mandriva" --key "PowersaveApplet" --type "bool" 1
    		fi
    	fi
    fi


    # "Desktop" Mandriva icons"
    PSAVE=$(kreadconfig --group "Mandriva" --key "MandrivaIcons" --default "false")

    if [ ! "$PSAVE" = "true" ]; then
        PROD=$(sed 's/.*product=\(.*\)/\L\1/' < /etc/product.id)
        # We should handle i18n dir modes in xgd user dirs
        DIR=$(eval "echo $(kreadconfig --file $HOME/.config/user-dirs.dirs --key XDG_DESKTOP_DIR)" )
        if [ -z $DIR ]; then
            DIR="$HOME/Desktop"
        fi

        if [ ! -d "${DIR}" ]; then
            mkdir -p "${DIR}"
        fi
        cp -f /usr/share/mdk/desktop/${PROD}/*.desktop "${DIR}"
        kwriteconfig --group "Mandriva" --key "MandrivaIcons" --type "bool" 1
    fi

    # mandrivalauncher is simplelauncher now
    PSAVE=$(kreadconfig --group "Mandriva" --key "NewLauncher" --default "false")

    if [ ! "$PSAVE" = "true" ]; then
		RES="$HOME/.kde4/share/config/plasma-appletsrc"
		[ -f $RES ] && sed -i "s,mandrivalauncher,simplelauncher,g" $RES
        kwriteconfig --group "Mandriva" --key "NewLauncher" --type "bool" 1
    fi

fi
